View Issue Details

IDProjectCategoryView StatusLast Update
0001799Ham Radio DeluxeBugpublic2018-04-21 19:20
ReporterKB3NPH 
Assigned ToWA9PIE 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0001799: Logbook "automatically" creating "HRD My Logbook"
DescriptionCustomers who have created their own logbooks and no longer use the "HRD MY Logbook" complain this log is being automatically created by HRD. I personally have deleted this logbook, it's source in the ODBC Admin to make sure everything was gone, deleted ALL files in the C:\ProgramData\HRDLLC folder and the system still automatically creates this logbook. See attached screenshot.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

related to 0002690 closedK7ZCZ Logbook: can still automatically create unwanted default logbook DB 

Activities

KB3NPH

2015-10-14 12:23

administrator  

user19

2015-11-04 23:57

  ~0000668

I deleted these in both the Manager and ODBC and they did not recreate in V .444

Jim

WA9PIE

2016-12-03 14:16

administrator   ~0003033

Just because people don't want to use the default logbook was no reason to avoid having it be created. This wasn't a bug. Actually, I think there may be code in here that creates this if it doesn't exist.

But we may have added this option nonetheless. I can't test it.

K7ZCZ

2017-06-03 21:24

manager   ~0003189

It's not clear to me if this is a bug or not. Do we desire to create the default DB always, if it doesn't already exist?

WA9PIE

2017-07-08 15:06

administrator   ~0003591

This caused us problems. The program should ALWAYS have created this logbook/database. Eliminating this caused big problems/bugs. But it is not a bug. Normal behavior to create a My Logbook database. Users can decide not to use it.

K7ZCZ

2017-07-23 11:41

manager   ~0003723

I'm sorry, but this is still not perfectly clear. Are you saying the My Logbook Access database should always be created, and that the option to create it (or not) should be removed?

My take is that the option to create the database should be on by default, but should exist. It seems like most users use Access. Those that know how to set up their own database will want to do so, then turn off the automatic creation of an extra database.

K7ZCZ

2017-08-22 21:28

manager   ~0004073

marking for "feedback" and assigning because of unanswered questions

PD9FER

2017-08-31 02:03

viewer   ~0004087

Not a Bug, this can be configured.
IMHO It is good the way it is created, only the option to disable it is not easy to find (should be in the databases creation window)

Go to: Tools > Configure > Settings
Select: Don't create HRD My Logbook Database

my_logbook.png (61,477 bytes)
my_logbook.png (61,477 bytes)

n4kit

2017-08-31 15:40

viewer   ~0004090

Last edited: 2017-08-31 15:41

View 2 revisions

Let's not forget that the CLI API will target My Logbook if the 3rd party app does not specify a target database in the data "push". I don't know if this option to not create My Logbook would affect that, or if the CLI API code will create one if it does not exist.

K7ZCZ

2018-03-28 01:01

manager   ~0004585

Through some emails, we decided that the only time we needed to create a new database was if there was nothing at all configured. Any other time, the user is in control.

The problem here isn't really the "Create by default" checkbox.

At startup, the logbook restores the window layout, including previously opened logbook database tabs. This is where the trouble is. If no database windows were previously opened, the app would try to create a new default database. Maybe the default database already exists, maybe not -- but the creation of the database at this point wasn't appropriate. An error would be pretty startling to the user, and that's what was generating support contacts.

Instead, the code should initialize a database only if absolutely no databases are configured. If no databases were previously opened, the app should open again with no database open, just as the user saved it. This is fixed.

There were also a couple of minor bugs here. For example, if no database was open, the app would end up opening another RAdio window. With this fix, a radio window is opened only if absolutely no other windows were found.

With these decisions, the option to create (or not) the default logbook database is obsolete. If the user has no databases configured at the start of the logbook, one is created always.

K7ZCZ

2018-03-28 01:01

manager   ~0004586

Shelfset is up for review ...
https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=Logbook%20window%20creation%20%28Mantis%201799%29%3Bmikeblas%40msn.com

K7ZCZ

2018-03-28 18:43

manager   ~0004589

Resolved with this checkin: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4004

g3ucq

2018-04-02 13:28

viewer   ~0004625

Fixed. HRD My Logbook is not automatically created.

vk2byi

2018-04-04 01:13

viewer   ~0004655

The described behavior is observed, including cases where no database tabs are open on startup, as well as none or one Radio Screen tabs open at startup. Fixed.

PD9FER

2018-04-04 11:06

viewer   ~0004676

Fixed (I keep an eye on this where it becomes related to issues logging via JTAllert-x / QSO Relay)
So far so good

WA9PIE

2018-04-06 12:28

administrator   ~0004729

As I understand it, here's what this change does (a good thing):

The default is created when there are no other ODBC sources configured in Logbook. This happens at "first run." So if folks remove it after first run, and have a logbook configured, no new "default" is created.

Issue History

Date Modified Username Field Change
2015-10-14 12:23 KB3NPH New Issue
2015-10-14 12:23 KB3NPH File Added: 2015-10-14 11_39_06-Logbook Databases BUG.jpg
2015-11-04 23:57 user19 Fixed in Release TBD => 6.3
2015-11-04 23:57 user19 Fixed in Build (ie. 377) (select) => 444
2015-11-04 23:57 user19 Note Added: 0000668
2016-12-03 14:16 WA9PIE Note Added: 0003033
2017-03-08 00:06 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2017-06-03 21:24 K7ZCZ Note Added: 0003189
2017-07-08 15:06 WA9PIE Note Added: 0003591
2017-07-23 11:41 K7ZCZ Note Added: 0003723
2017-08-22 21:27 K7ZCZ Assigned To => WA9PIE
2017-08-22 21:27 K7ZCZ Status new => assigned
2017-08-22 21:28 K7ZCZ Status assigned => feedback
2017-08-22 21:28 K7ZCZ Note Added: 0004073
2017-08-31 02:03 PD9FER File Added: my_logbook.png
2017-08-31 02:03 PD9FER Note Added: 0004087
2017-08-31 15:40 n4kit Note Added: 0004090
2017-08-31 15:41 n4kit Note Edited: 0004090 View Revisions
2018-03-28 01:01 K7ZCZ Note Added: 0004585
2018-03-28 01:01 K7ZCZ Note Added: 0004586
2018-03-28 18:43 K7ZCZ Status feedback => resolved
2018-03-28 18:43 K7ZCZ Resolution open => fixed
2018-03-28 18:43 K7ZCZ Testing => Not Started
2018-03-28 18:43 K7ZCZ Note Added: 0004589
2018-04-02 10:44 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-04-02 10:45 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-02 13:28 g3ucq Note Added: 0004625
2018-04-04 01:13 vk2byi Note Added: 0004655
2018-04-04 11:06 PD9FER Note Added: 0004676
2018-04-06 12:28 WA9PIE Note Added: 0004729
2018-04-07 13:56 WA9PIE Status resolved => closed
2018-04-07 13:56 WA9PIE Testing Not Started => Beta Successful
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806
2018-04-21 19:20 K7ZCZ Relationship added related to 0002690